> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytsoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get administration treatments

> Lists the treatments of the administration's declaration lines. A treatment is never changed by a resubmission, revision or credit: those add a treatment to the same declaration line, linked to the treatment it follows up on. The treatment without a successor (superseded is false) holds the values the health insurer received last.



## OpenAPI

````yaml /openapi3.json get /v1/health_care/treatments
openapi: 3.0.0
info:
  title: API Endpoints
  description: >-
    This page allows you to explore the available API endpoints. Select a
    resource (e.g. debtors) and an endpoint (e.g. /v1/debtors) to inspect an
    example response and available parameters. An authorization header
    containing a Bearer token is required, see
    [Authentication](/authentication/authorization).
  version: 1.0.0
servers:
  - url: https://api.paytsoftware.com
    description: Production
  - url: https://demo-api.paytsoftware.com
    description: Demo / testing
security:
  - bearerAuth: []
tags:
  - name: administrations
    description: Operations about administrations
  - name: companies
    description: Operations about companies
  - name: contacts
    description: Operations about contacts
  - name: credit_cases
    description: Operations about credit_cases
  - name: debtors
    description: Operations about debtors
  - name: files
    description: Operations about files
  - name: health_care
    description: Operations about health_cares
  - name: orders
    description: Operations about orders
  - name: order_lines
    description: Operations about order_lines
  - name: invoices
    description: Operations about invoices
  - name: labels
    description: Operations about labels
  - name: ledger_accounts
    description: Operations about ledger_accounts
  - name: messages
    description: Operations about messages
  - name: notes
    description: Operations about notes
  - name: notifications
    description: Operations about notifications
  - name: payments
    description: Operations about payments
  - name: payment_conditions
    description: Operations about payment_conditions
  - name: payment_plans
    description: Operations about payment_plans
  - name: psp_mandates
    description: Operations about psp_mandates
  - name: psp_transactions
    description: Operations about psp_transactions
  - name: sign_up
    description: Operations about sign_ups
  - name: tasks
    description: Operations about tasks
  - name: vat_rates
    description: Operations about vat_rates
paths:
  /v1/health_care/treatments:
    get:
      tags:
        - health_care
      summary: Get administration treatments
      description: >-
        Lists the treatments of the administration's declaration lines. A
        treatment is never changed by a resubmission, revision or credit: those
        add a treatment to the same declaration line, linked to the treatment it
        follows up on. The treatment without a successor (superseded is false)
        holds the values the health insurer received last.
      operationId: getV1HealthCareTreatments
      parameters:
        - in: query
          name: administration_id
          description: Administration identifier
          required: true
          schema:
            type: string
        - in: query
          name: created_before
          description: ISO8601 UTC Timestamp to filter records created before it
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: created_after
          description: ISO8601 UTC Timestamp to filter records created after it
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: declaration_line_identifiers
          description: >-
            Filter treatments with a comma separated list of declaration line
            identifiers
          required: false
          schema:
            type: string
        - in: query
          name: ids
          description: Filter treatments with a comma separated list of internal ids
          required: false
          schema:
            type: string
        - in: query
          name: updated_after
          description: ISO8601 UTC Timestamp to filter records updated after it
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: fields
          description: >-
            JSON object defining fields to receive (e.g {"only": ["field1",
            {"field2": ["field3"]}]})
          required: false
          schema:
            type: string
        - in: query
          name: cursor
          description: The record identifier after which to start the page
          required: false
          schema:
            type: string
        - in: query
          name: per_page
          description: >-
            How many records will be returned per page, (1..500), defaults to
            100
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 500
            default: 100
      responses:
        '200':
          description: Paginated list of treatments
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_TreatmentsPageEntity'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
        '403':
          description: Access not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
components:
  schemas:
    CustomerApi_TreatmentsPageEntity:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/CustomerApi_V1_TreatmentEntity'
          description: Treatment
        pagination:
          allOf:
            - $ref: '#/components/schemas/CustomerApi_PaginationEntity'
          description: Pagination details
      required:
        - data
      description: CustomerApi_TreatmentsPageEntity model
    CustomerApi_ErrorEntity:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      required:
        - code
        - message
      description: CustomerApi_ErrorEntity model
    CustomerApi_V1_TreatmentEntity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
        administration_id:
          type: string
          description: Owning administration identifier
        declaration_line_identifier:
          type: string
          description: The identifier of the declaration line this treatment belongs to
        reference_number:
          type: string
          description: >-
            Reference number of this prestation record in the declaration
            (Vektis: referentienummer prestatierecord)
        kind:
          type: string
          enum:
            - original
            - resubmission
            - revision
            - correction
            - credit
          description: >-
            How the treatment came about: declared originally, as a resubmission
            or revision of its predecessor, as a correction of its already
            invoiced predecessor, or as a credit of the credited treatment. A
            correction's amounts are the change to its predecessor's amounts
        predecessor_id:
          type: string
          description: >-
            The treatment this treatment is a resubmission, revision or
            correction of
        credited_treatment_id:
          type: string
          description: The treatment this treatment credits
        credit_treatment_ids:
          type: array
          items:
            type: string
          description: The treatments that credit this treatment, fully or partially
        superseded:
          type: boolean
          description: >-
            Whether a resubmission or revision has replaced this treatment. A
            correction adds to the treatment it corrects instead of replacing it
        treatment_code:
          type: string
          description: 'Prestation code (Vektis: prestatiecode)'
        treatment_date:
          type: string
          format: date
          description: 'Date of the treatment (Vektis: datum prestatie)'
        description:
          type: string
          description: Description of the prestation
        prestation_count:
          type: integer
          format: int32
          description: >-
            Number of performed prestations (Vektis: aantal uitgevoerde
            prestaties)
        element_code:
          type: string
          description: 'Tooth element code (Vektis: gebitselementcode)'
        surface_code:
          type: string
          description: 'Tooth surface code (Vektis: vlakcode)'
        jaw_indication:
          type: string
          description: 'Upper or lower jaw indication (Vektis: indicatie boven-/onderkaak)'
        special_dentistry_indication:
          type: string
          description: >-
            Special dentistry indication (Vektis: indicatie bijzondere
            tandheelkunde)
        special_dentistry_type:
          type: string
          description: 'Type of special dentistry (Vektis: soort bijzondere tandheelkunde)'
        practitioner_agb_code:
          type: string
          description: 'AGB code of the practitioner (Vektis: zorgverlenerscode behandelaar)'
        performing_practitioner_agb_code:
          type: string
          description: >-
            AGB code of the performing practitioner (Vektis: zorgverlenerscode
            behandelaar/uitvoerder)
        authorization_number:
          type: string
          description: 'Authorization number (Vektis: machtigingsnummer)'
        claimed_amount:
          type: string
          description: The claimed amount
        reimbursed_amount:
          type: string
          description: The amount reimbursed by the health insurer
        payable_by_insured_amount:
          type: string
          description: The amount payable by the insured
        rejected_amount:
          type: string
          description: The amount rejected by the health insurer
        return_codes:
          type: array
          items:
            type: string
          description: The return codes from the health insurer
        deeplink_url:
          type: string
          description: >-
            URL to the treatment's declaration in the debtor management
            interface (request with the 'fields' parameter)
        created_at:
          type: string
          format: date-time
          description: Timestamp at which the treatment was created
        updated_at:
          type: string
          format: date-time
          description: Timestamp at which the treatment was last updated
      required:
        - id
        - administration_id
        - declaration_line_identifier
        - reference_number
        - kind
        - credit_treatment_ids
        - superseded
        - treatment_code
        - claimed_amount
        - return_codes
        - created_at
        - updated_at
    CustomerApi_PaginationEntity:
      type: object
      properties:
        cursor:
          type: string
          description: Cursor for fetching the next page
      required:
        - cursor
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        OAuth2 access token or static API token. See
        [Authorization](/authentication/authorization) for how to obtain one.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.